Bibliography
============

The code in this project is based on ideas from the following publications:

- **[Strathearn2017]** Strathearn et al., *Efficient real-time path integrals for non-Markovian spin-boson models*. [New J. Phys. 19(9), p.093009](http://dx.doi.org/10.1088/1367-2630/aa8744) (2017).
- **[Strathearn2018]** Strathearn et al., *Efficient non-Markovian quantum dynamics using time-evolving matrix product operators*, [Nat. Commun. 9, 3322](https://doi.org/10.1038/s41467-018-05617-3)
  (2018).
- **[Pollock2018]** Pollock et al., *Non-Markovian quantum processes: Complete framework and efficient characterization*, [Phys. Rev. A 97, 012127](http://dx.doi.org/10.1103/PhysRevA.97.012127) (2018).
- **[Jorgensen2019]** Jørgensen and Pollock, *Exploiting the causal tensor network structure of quantum processes to efficiently simulate non-Markovian path integrals*, [Phys. Rev. Lett. 123, 240602](http://dx.doi.org/10.1103/PhysRevLett.123.240602) (2019).
- **[Strathearn2019]** Strathearn, *Modelling Non-Markovian Quantum Systems Using Tensor Networks*, [Springer Theses](http://link.springer.com/10.1007/978-3-030-54975-6) (2020).
- **[Fux2020]** Fux et al., *Efficient exploration of Hamiltonian parameter space for optimal control of non-Markovian open quantum systems*, [Phys. Rev. Lett. 126, 200401](https://link.aps.org/doi/10.1103/PhysRevLett.126.200401) (2021).
- **[Gribben2021]** Gribben et al., *Using the Environment to Understand non-Markovian Open Quantum Systems*,  [arXiv:20106.0412](http://arxiv.org/abs/2106.04212) (2021).
- **[Gribben2022]** Gribben et al., *Exact dynamics of non-additive environments in non-Markovian open quantum systems*, [PRX Quantum 3, 10321](https://link.aps.org/doi/10.1103/PRXQuantum.3.010321) (2021).
- **[FowlerWright2022]** Fowler-Wright et al., *Efficient Many-Body Non-Markovian Dynamics of Organic Polaritons*, [Phys. Rev. Lett. 129, 173001](https://doi.org/10.1103/PhysRevLett.129.173001) (2022).
- **[Fux2022]** Fux et al., *Thermalization of a spin chain strongly coupled to its environment*, [arXiv:2201.05529](http://arxiv.org/abs/2201.05529) (2022).


BibTeX:
-------


```
@article{FowlerWright2022,
  title = {Efficient Many-Body Non-Markovian Dynamics of Organic Polaritons},
  author = {Fowler-Wright, Piper and Lovett, Brendon W. and Keeling, Jonathan},
  journal = {Phys. Rev. Lett.},
  volume = {129},
  issue = {17},
  pages = {173001},
  numpages = {7},
  year = {2022},
  month = {October},
  publisher = {American Physical Society},
  doi = {10.1103/PhysRevLett.129.173001},
  url = {https://doi.org/10.1103/PhysRevLett.129.173001}
}

@article{Fux2021,
  title = {Efficient Exploration of Hamiltonian Parameter Space for Optimal Control of Non-Markovian Open Quantum Systems},
  author = {Fux, Gerald E. and Butler, Eoin P. and Eastham, Paul R. and Lovett, Brendon W. and Keeling, Jonathan},
  journal = {Phys. Rev. Lett.},
  volume = {126},
  issue = {20},
  pages = {200401},
  numpages = {6},
  year = {2021},
  month = {May},
  publisher = {American Physical Society},
  doi = {10.1103/PhysRevLett.126.200401},
  url = {https://link.aps.org/doi/10.1103/PhysRevLett.126.200401}
}

@article{Fux2022,
  title = {{Thermalization of a spin chain strongly coupled to its environment}},
  author = {Fux, Gerald E. and Kilda, Dainius and Lovett, Brendon W. and Keeling, Jonathan},
  archivePrefix = {arXiv},
  arxivId = {2201.05529},
  eprint = {2201.05529},
  url = {http://arxiv.org/abs/2201.05529},
  year = {2022}
}

@article{Gribben2021,
  title = {{Using the Environment to Understand non-Markovian Open Quantum Systems}},
  author = {Gribben, Dominic and Strathearn, Aidan and Fux, Gerald E. and Kirton, Peter and Lovett, Brendon W.},
  archivePrefix = {arXiv},
  arxivId = {2106.04212},
  eprint = {2106.04212},
  url = {http://arxiv.org/abs/2106.04212},
  year = {2021}
}

@article{Gribben2022,
  title = {Exact Dynamics of Nonadditive Environments in Non-Markovian Open Quantum Systems},
  author = {Gribben, Dominic and Rouse, Dominic M. and Iles-Smith, Jake and Strathearn, Aidan and Maguire, Henry and Kirton, Peter and Nazir, Ahsan and Gauger, Erik M. and Lovett, Brendon W.},
  journal = {PRX Quantum},
  volume = {3},
  issue = {1},
  pages = {010321},
  numpages = {18},
  year = {2022},
  month = {Feb},
  publisher = {American Physical Society},
  doi = {10.1103/PRXQuantum.3.010321},
  url = {https://link.aps.org/doi/10.1103/PRXQuantum.3.010321}
}

@article{Jorgensen2019,
  title = {Exploiting the Causal Tensor Network Structure of Quantum
           Processes to Efficiently Simulate Non-Markovian Path Integrals},
  author = {J\o{}rgensen, Mathias R. and Pollock, Felix A.},
  journal = {Phys. Rev. Lett.},
  volume = {123},
  issue = {24},
  pages = {240602},
  numpages = {7},
  year = {2019},
  month = {Dec},
  publisher = {American Physical Society},
  doi = {10.1103/PhysRevLett.123.240602},
  url = {https://link.aps.org/doi/10.1103/PhysRevLett.123.240602}
}

@misc{OQuPy,
  author={{The TEMPO collaboration}},
  title={{OQuPy: A Python 3 package to efficiently compute
          non-Markovian open quantum systems.}},
  year=2020,
  publisher={GitHub},
  doi={10.5281/zenodo.4428316}
  url={https://github.com/tempoCollaboration/TimeEvolvingMPO}
}

@article{Pollock2018,
  author = {Pollock, Felix A. and Rodr{\'{i}}guez-Rosario, C{\'{e}}sar and
            Frauenheim, Thomas and Paternostro, Mauro and Modi, Kavan},
  doi = {10.1103/PhysRevA.97.012127},
  issn = {24699934},
  journal = {Phys. Rev. A},
  month = {jan},
  number = {1},
  pages = {012127},
  title = {{Non-Markovian quantum processes: Complete framework and
            efficient characterization}},
  url = {https://link.aps.org/doi/10.1103/PhysRevA.97.012127
         http://arxiv.org/abs/1512.00589
         http://dx.doi.org/10.1103/PhysRevA.97.012127},
  volume = {97},
  year = {2018}
}

@article{Strathearn_2017,
	doi = {10.1088/1367-2630/aa8744},
	url = {https://doi.org/10.1088/1367-2630/aa8744},
	year = 2017,
	month = {sep},
	publisher = {{IOP} Publishing},
	volume = {19},
	number = {9},
	pages = {093009},
	author = {A Strathearn and B W Lovett and P Kirton},
	title = {Efficient real-time path integrals for non-Markovian spin-boson models},
	journal = {New Journal of Physics},
}

@article{Strathearn2018,
  author = {Strathearn, A. and Kirton, P. and Kilda, D. and Keeling, J. and
            Lovett, B. W.},
  doi = {10.1038/s41467-018-05617-3},
  issn = {20411723},
  journal = {Nat. Commun.},
  month = {dec},
  number = {1},
  pages = {3322},
  pmid = {30127490},
  title = {{Efficient non-Markovian quantum dynamics using time-evolving
            matrix product operators}},
  url = {https://doi.org/10.1038/s41467-018-05617-3},
  volume = {9},
  year = {2018}
}

@book{Strathearn2019,
  address = {Cham},
  author = {Strathearn, Aidan},
  doi = {10.1007/978-3-030-54975-6},
  isbn = {978-3-030-54974-9},
  publisher = {Springer International Publishing},
  series = {Springer Theses},
  title = {{Modelling Non-Markovian Quantum Systems Using Tensor Networks}},
  url = {http://link.springer.com/10.1007/978-3-030-54975-6},
  year = {2020}
}

```
